import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'payMode',
  standalone: true
})
export class PayModePipe implements PipeTransform {

  transform(statusCode: string): any {
    switch (statusCode) {
      case 'WECHAT':
        return '微信';
      case 'ALIPAY':
        return '支付宝';
      case 'UQRCODEPAY':
        return '银联';
      case 'DRAGON':
        return '龙支付';
      case 'CREDIT_CARDS_PERIOD':
        return '银联分期';
      case 'QUICK':
        return '快捷支付';
    }
  }

}
